org.eclipse.gef4.zest.core.widgets.custom

## Class CGraphNode

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Item
    - - org.eclipse.gef4.zest.core.widgets.GraphItem
      - - org.eclipse.gef4.zest.core.widgets.GraphNode
        - - org.eclipse.gef4.zest.core.widgets.custom.CGraphNode

    public class CGraphNode
    extends GraphNode

A Custom Graph Node

Since:
  2.0

### Field Summary

### Fields inherited from class org.eclipse.gef4.zest.core.widgets.GraphNode

`graphWidget, HIGHLIGHT_NONE, HIGHLIGHT_ON, highlighted, internalNode, nodeFigure, parent, size`

### Fields inherited from class org.eclipse.gef4.zest.core.widgets.GraphItem

`CONNECTION, CONTAINER, GRAPH, NODE`

### Constructor Summary

Constructors
Constructor and Description
`CGraphNode(GraphContainer graphModel, int style, org.eclipse.draw2d.IFigure figure)`
`CGraphNode(GraphWidget graphModel, int style, org.eclipse.draw2d.IFigure figure)`

### Method Summary

Methods
`protected org.eclipse.draw2d.IFigure` `createFigureForModel()`
`org.eclipse.draw2d.IFigure` `getFigure()`

### Methods inherited from class org.eclipse.gef4.zest.core.widgets.GraphNode

`cacheLabel, dispose, fishEye, getBackgroundColor, getBorderColor, getBorderHighlightColor, getBorderWidth, getFont, getForegroundColor, getGraphWidget, getHighlightColor, getItemType, getLayout, getLocation, getNodeStyle, getSize, getSourceConnections, getStyle, getTargetConnections, getTooltip, highlight, initFigure, initModel, isDisposed, isSelected, isSizeFixed, isVisible, setBackgroundColor, setBorderColor, setBorderHighlightColor, setBorderWidth, setCacheLabel, setFont, setForegroundColor, setHighlightColor, setImage, setLocation, setNodeStyle, setSize, setText, setTooltip, setVisible, toString, unhighlight, updateFigureForModel`

### Methods inherited from class org.eclipse.gef4.zest.core.widgets.GraphItem

`checkStyle`

### Methods inherited from class org.eclipse.swt.widgets.Item

`checkSubclass, getImage, getText`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getListeners, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CGraphNode

    public CGraphNode(GraphWidget graphModel,
              int style,
              org.eclipse.draw2d.IFigure figure)

Since:
  2.0

#### CGraphNode

    public CGraphNode(GraphContainer graphModel,
              int style,
              org.eclipse.draw2d.IFigure figure)

Since:
  2.0

### Method Detail

#### getFigure

    public org.eclipse.draw2d.IFigure getFigure()

Overrides:
  `getFigure` in class `GraphNode`

#### createFigureForModel

    protected org.eclipse.draw2d.IFigure createFigureForModel()

Overrides:
  `createFigureForModel` in class `GraphNode`